Runtime

## org.eclipse.gmf.runtime.common.core.util
Class PropertiesConfigurationManager

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.PropertiesConfigurationManager

    public class PropertiesConfigurationManager

extends java.lang.Object

Manages the properties files declared in the textConfiguration extensions

Method Summary
`static java.lang.String` `getString(java.lang.String pluginId, java.lang.String key)` Gets the string for the given key

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static java.lang.String getString(java.lang.String pluginId,
                                             java.lang.String key)

  Gets the string for the given key

  Parameters:
    `pluginId` - the id of the plug-in defining the string
    `key` - the key
  Returns:
    the string, or `null` if the mapping is not found

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.